Fork me on GitHub

Zend Guard Run-time support missing!

前言

Zend Guard Run-time support missing!

Zend Guard运行时支持的缺失!

下载相关版本的Zend Guard官网

下载好后解压压缩包,找到目录下的 ZendLoader.dll 文件,将它放到你的php目录下ext下,再编辑php.ini文件,添加一段代码(如):

1
2
3
4
5
6
[Zend.loader]
zend_loader.enable=1
zend_loader.disable_licensing=1
zend_loader.obfuscation_level_support=3
zend_loader.license_path=
zend_extension="你的PHP安装目录\ext\ZendLoader.dll"

注意事项

1
2
zend guard loader只支持NTS的版本,意味着如果你的php版本是TS的话,就没法使用zend guard loader了,如果你想查看自己的php是ts还是nts的,只需要输出phpinfo,然后搜索下:Thread Safety,disabled对应nts版本,否则为ts。
因此,终极解决办法就是,下载个php NTS版本进行安装即可。
-------------本文结束感谢您的阅读-------------
Title - Artist
0:00